EAP Update 403 error

From inside the IDE I clicked the update button when notified of a new EAP but then I get a notification 

Failed to prepare an update: Request failed with status code 403 

I know I can go to the site and download the update but wondered why this is happening

Everything else seems to be working

Rob

33 comments
Comment actions Permalink

So what is the recommendation? To install newer version from scratch?

Updating from 2019.14 to 2021.1.4.



/opt/PhpStorm/bin/phpstorm.sh
patchName: PS-191.8026.56-193.6911.26-patch-unix.jar
patchName: PS-193.6911.26-201.6668.153-patch-unix.jar

 

Error message:

Connection Error
Failed to prepare an update:
Cannot download 'https://download.jetbrains.com/webide/PS-193.6911.26-201.6668.153-patch-unix.jar': Request failed with status code 403

https://download.jetbrains.com/webide/PS-193.6911.26-201.6668.153-patch-unix.jar

 

java --version
openjdk 11.0.11 2021-04-20
OpenJDK Runtime Environment (build 11.0.11+9-Ubuntu-0ubuntu2.20.04)
OpenJDK 64-Bit Server VM (build 11.0.11+9-Ubuntu-0ubuntu2.20.04, mixed mode, sharing)

 

PhpStorm/jre64/bin/java -version
openjdk version "1.8.0_212-release"
OpenJDK Runtime Environment (build 1.8.0_212-release-1586-b4)
OpenJDK 64-Bit Server VM (build 25.212-b4, mixed mode)

 

0
Comment actions Permalink

@Sybille Peters

So what is the recommendation? To install newer version from scratch?

I'd do. The IDE should pick up the previous settings just fine (at very least that always worked fine with current-1 versions)

P.S. I see the same "AccessDenied" here on Windows 10 when clicking your link.

1
Comment actions Permalink

Andriy Bazanov Thanks for the answer! I did that in the meantime and it worked perfectly. Already defined settings and projects are being used.

0

Please sign in to leave a comment.